Package org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.legacy.impl

## Class TypedNotifier

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.impl.AbstractTypedElementAdapter
  - - org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.legacy.impl.TypedNotifier

All Implemented Interfaces:
  `ITypedElement`

    public class TypedNotifier
    extends AbstractTypedElementAdapter

A specific implementation of `AbstractTypedElementAdapter` for notifiers.

Since:
  4.0

### Field Summary

Fields
`static String` `NODE_TYPE_EMF_COMPARISON` EMF Comparison type.
`static String` `NODE_TYPE_EMF_EOBJECT` EMF EObject type.
`static String` `NODE_TYPE_EMF_RESOURCE` EMF Resource type.
`static String` `NODE_TYPE_EMF_RESOURCESET` EMF ResourceSet type.

### Fields inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.ITypedElement

`FOLDER_TYPE, TEXT_TYPE, UNKNOWN_TYPE`

### Constructor Summary

Constructors
`TypedNotifier​(AdapterFactory adapterFactory, Notifier notifier)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.graphics.Image` `getImage()` Returns an image for this object.
`String` `getName()` Returns the name of this object.
`String` `getType()` Returns the type of this object.

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.impl.AbstractTypedElementAdapter

`getAdapterFactory, getItemDelegator, getRootAdapterFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NODE_TYPE_EMF_RESOURCESET

    public static final String NODE_TYPE_EMF_RESOURCESET

EMF ResourceSet type.

See Also:
  Constant Field Values

#### NODE_TYPE_EMF_RESOURCE

    public static final String NODE_TYPE_EMF_RESOURCE

EMF Resource type.

See Also:
  Constant Field Values

#### NODE_TYPE_EMF_EOBJECT

    public static final String NODE_TYPE_EMF_EOBJECT

EMF EObject type.

See Also:
  Constant Field Values

#### NODE_TYPE_EMF_COMPARISON

    public static final String NODE_TYPE_EMF_COMPARISON

EMF Comparison type.

See Also:
  Constant Field Values

### Constructor Detail

#### TypedNotifier

    public TypedNotifier​(AdapterFactory adapterFactory,
                         Notifier notifier)

Default constructor.

Parameters:
  `adapterFactory` - the adapter factory to use to retrieve item.
  `notifier` - the notifier to use to retrieve the type.

### Method Detail

#### getName

    public String getName()

Returns the name of this object. The name is used when displaying this object in the UI.

Returns:
  the name of this object
See Also:
  `ITypedElement.getName()`

#### getImage

    public org.eclipse.swt.graphics.Image getImage()

Returns an image for this object. This image is used when displaying this object in the UI.

Returns:
  the image of this object or `null` if this type of input has no image
See Also:
  `ITypedElement.getImage()`

#### getType

    public String getType()

Returns the type of this object. For objects with a file name this is typically the file extension. For folders its the constant `FOLDER_TYPE`. The type is used for determining a suitable viewer for this object.

Returns:
  the type of this object
See Also:
  `ITypedElement.getType()`